pcl::surface::SimplificationRemoveUnusedVertices Class Reference

`#include <pcl/surface/simplification_remove_unused_vertices.h>`

## Public Types

typedef boost::shared_ptr< SimplificationRemoveUnusedVertices > | Ptr
typedef boost::shared_ptr< const SimplificationRemoveUnusedVertices > | ConstPtr

## Public Member Functions

| SimplificationRemoveUnusedVertices ()
| Constructor. More...
| ~SimplificationRemoveUnusedVertices ()
| Destructor. More...
void | simplify (const pcl::PolygonMesh &input, pcl::PolygonMesh &output)
| Simply a polygonal mesh. More...
void | simplify (const pcl::PolygonMesh &input, pcl::PolygonMesh &output, std::vector< int > &indices)
| Perform simplification (remove unused vertices). More...

## Detailed Description

Definition at line 49 of file simplification_remove_unused_vertices.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr<const SimplificationRemoveUnusedVertices> pcl::surface::SimplificationRemoveUnusedVertices::ConstPtr

Definition at line 53 of file simplification_remove_unused_vertices.h.

## Ptr

typedef boost::shared_ptr<SimplificationRemoveUnusedVertices> pcl::surface::SimplificationRemoveUnusedVertices::Ptr

Definition at line 52 of file simplification_remove_unused_vertices.h.

## Constructor & Destructor Documentation

## SimplificationRemoveUnusedVertices()

pcl::surface::SimplificationRemoveUnusedVertices::SimplificationRemoveUnusedVertices | ( |  | ) |

inline

Constructor.

Definition at line 56 of file simplification_remove_unused_vertices.h.

## ~SimplificationRemoveUnusedVertices()

pcl::surface::SimplificationRemoveUnusedVertices::~SimplificationRemoveUnusedVertices | ( |  | ) |

inline

Destructor.

Definition at line 58 of file simplification_remove_unused_vertices.h.

## Member Function Documentation

## simplify() [1/2]

void pcl::surface::SimplificationRemoveUnusedVertices::simplify | ( | const pcl::PolygonMesh & | input,
|  | pcl::PolygonMesh & | output
| ) |  |

inline

Simply a polygonal mesh.

Parameters

  [in] | input | the input mesh
  [out] | output | the output mesh

Definition at line 65 of file simplification_remove_unused_vertices.h.

## simplify() [2/2]

void pcl::surface::SimplificationRemoveUnusedVertices::simplify | ( | const pcl::PolygonMesh & | input,
|  | pcl::PolygonMesh & | output,
|  | std::vector< int > & | indices
| ) |  |

Perform simplification (remove unused vertices).

Parameters

  [in] | input | the input mesh
  [out] | output | the output mesh
  [out] | indices | the resultant vector of indices

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/simplification_remove_unused_vertices.h